//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-833 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2009.09.24 at 09:56:11 AM CEST 
//


package info.textgrid.lab.xmleditor.multicharbrowser;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{}customCharsetData" maxOccurs="unbounded"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * @author <Julian Dabbert> <dabbert AT upb.de>
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "customCharsetData"
})
@XmlRootElement(name = "customCharsetDataSet")
public class CustomCharsetDataSet {

    @XmlElement(required = true)
    protected List<CustomCharsetData> customCharsetData;

    /**
     * Gets the value of the customCharsetData property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the customCharsetData property.
     * 
     * <p>
     * For example, to add a new customCharsetTableItem, do as follows:
     * <pre>
     *    getCustomCharset().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CustomCharset }
     * 
     * 
     */
    public List<CustomCharsetData> getCustomCharset() {
        if (customCharsetData == null) {
            customCharsetData = new ArrayList<CustomCharsetData>();
        }
        return this.customCharsetData;
    }

}
